Skip to content

Get subscription expenses

Request

Retrieves paginated list of expenses for a specific subscription

Security
oauth2ClientCredentials(Required scopes: subscriptions:read)
Query
subscription_idstringrequired
pagenumber

Page number

Example:page=1
Headers
org_wallet_refstring

Organization wallet reference, defaults to "1" if not provided

business_idstringrequired

Business identifier for the request

curl -i -X GET \
  'https://developer.boyahq.com/_mock/v2/openapi/subscriptions/expenses?subscription_id=string&page=1' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'business_id: string' \
  -H 'org_wallet_ref: string'

Responses

Paginated subscription expenses

Bodyapplication/json
statusbooleanrequired

Status of the operation

Example:true
messagestringrequired

Response message

Example:"Add Susbcription payment"
dataobject(PaginatedExpensesDataDto)required

Paginated expenses data

Response
{ "status": true, "message": "Add Susbcription payment", "data": { "docs": [], "total": 0, "limit": 4, "page": 1, "pages": 1 } }